Default safestrap

I am trying to install safestrap 3.65 and I get error there is a problem parsing the package. my note 3 is rooted with kingo and my build is MJE can anyone help